var market_id;
var chartBg = 'rgba(0, 0, 0, 0)'; //#0c0c0c
var jinriColor = '#000000'; //#babec1
//沪港通k线图
function createHugangtong(){
	//绘制沪港通数据
	var xAxisData = new Array();	//x轴数据

	//var inData = new Array();	//港股通资金流入曲线数据
	var huDataArr;
	var gangDataArr;
	
	var outData = new Array();	//港股通资金流出曲线数据
	var hk_balance;	//港股通余额
	var sh_balance;	//沪股通余额


	$.getJSON('http://kanpanbao.com/kql?q={"foo":["kv.mget",{"keys":["shhk_fundflow"]}]}&callback=?',function(data){

		if(data.code == 0){
			dataDate = data.data.foo.mtime;
			hk_balance = data.data.foo.shhk_fundflow.hk_balance;
			sh_balance = data.data.foo.shhk_fundflow.sh_balance;
			$('#ggt_ye').text(hk_balance + '亿元');
			$('#hgt_ye').text(sh_balance + '亿元');
			
			var huData = new Array(); 
			for(var k=0; k<data.data.foo.shhk_fundflow.m1.length; k++){
				huData[k]=new Array(); 
				for(var j=0;j<2;j++){
					huData[k][j]=""; 
				}
			}
			
			var gangData = new Array(); 
			for(var k=0; k<data.data.foo.shhk_fundflow.m1.length; k++){    
				gangData[k]=new Array();
				for(var j=0;j<2;j++){
					gangData[k][j]="";
				}
			}
			
			
			for(var i=0; i<data.data.foo.shhk_fundflow.m1.length; i++){
				var tempTime = new Date(dataDate * 1000);
				var hour, minute, second;
				if(data.data.foo.shhk_fundflow.m1[i][0].toString().substring(0,1) == '1'){
					hour = data.data.foo.shhk_fundflow.m1[i][0].toString().substring(0,2);
					minute = data.data.foo.shhk_fundflow.m1[i][0].toString().substring(2,4);
				}else{
					hour = data.data.foo.shhk_fundflow.m1[i][0].toString().substring(0,1);
					minute = data.data.foo.shhk_fundflow.m1[i][0].toString().substring(1,3);
				}
				
				tempTime.setHours(hour);
				tempTime.setMinutes(minute);
				tempTime.setSeconds(0);

				huData[i][0] = Date.parse(tempTime);
				huData[i][1] = data.data.foo.shhk_fundflow.m1[i][1];
				
				gangData[i][0] = Date.parse(tempTime);
				gangData[i][1] = data.data.foo.shhk_fundflow.m1[i][2];
			}

			huDataArr = huData;
			gangDataArr = gangData;

			//创建k线图
			$('#container1').highcharts('StockChart', {
				chart: {
					 backgroundColor: chartBg,
					 polar: true,
					 //type: 'line'
				  },
				resetZoomButton: {
					theme: {
						display: 'none'
					}
				},
				scrollbar: {
					enabled: false,
				},
				
				credits: {
					enabled: false,
				},
				navigator: {
					enabled: false
				},
				rangeSelector: {
					enabled: false
				},

				yAxis: {
					opposite: false,
					labels: {
						formatter: function () {
							return (this.value > 0 ? '' : '') + this.value + '';
						}
					},
					plotLines: [{
						value: 0,
						width: 2,
						color: 'silver'
					}],
					gridLineColor: '#606060'
				},
				
				xAxis: {
					   
					   tickLength: 0,
					   type: "datetime",
					   tickInterval: 1000 * 60 ,	//
					   tickWidth: 1000 * 60 , //刻度的宽度
					   labels: {
						   enable: false,
						   rotation: 0, //旋转,效果就是影响标签的显示方向
						   //step: 4,
						   formatter: function () {
									return Highcharts.dateFormat('%H:%M', this.value);
							   }
						   },
					   //刻度的宽度
					   lineColor: '#000000',
					   //自定义刻度颜色
					   lineWidth: 1,
					   //自定义x轴宽度
					   gridLineWidth: 0
				   },

				plotOptions: {
					series: {
						compare: 'value'
					}
				},

				tooltip: {
					pointFormat: '<span style="color:{series.color}">{series.name}</span>: <b>{point.y}</b> ({point.change}%)<br/>',
					valueDecimals: 2
				},

				series: [
					{
						name: '沪股通流入',
						color: '#12a20b',	//绿色
						data: huDataArr,
						
					},{
						name: '港股通流入',
						color: '#ea2200',	//红色
						data: gangDataArr,
						
					}
				]
			});

			
		}else{
			//alert('沪港通数据获取异常！');
		}
	});	
}


//绘制资金流向
function createZijinliuxiang(){
	//创建饼状图
	var sanhuliuru,sanhuliuchu,zhuliliuru,zhuliliuchu,sanhuliuruPercent,sanhuliuchuPercent,zhuliliuruPercent,zhuliliuchuPercent,zhuliliuru5,zhuliliuchu5,zhuliliuru10,zhuliliuchu10,zhuliliuru5Percent,zhuliliuchu5Percent,zhuliliuru10Percent,zhuliliuchu10Percent;
	$.getJSON('http://kanpanbao.com/kql?q={"foo":["fundflow.summary",{"symbol":"' + market_id + '"}]}&callback=?',function(data){
	
		if(data.code == 0){
			sanhuliuru = data.data.foo.d1.small.in;
			sanhuliuchu = data.data.foo.d1.small.out;
			zhuliliuru = data.data.foo.d1.big.in;
			zhuliliuchu = data.data.foo.d1.big.out;
			
			sanhuliuruPercent = ((sanhuliuru / (sanhuliuru + sanhuliuchu + zhuliliuru + zhuliliuchu)) * 100).toFixed(2);
			console.log(sanhuliuruPercent);
			sanhuliuchuPercent = ((sanhuliuchu / (sanhuliuru + sanhuliuchu + zhuliliuru + zhuliliuchu)) * 100).toFixed(2);
			console.log(sanhuliuchuPercent);
			zhuliliuruPercent = ((zhuliliuru / (sanhuliuru + sanhuliuchu + zhuliliuru + zhuliliuchu)) * 100).toFixed(2);
			console.log(zhuliliuruPercent);
			zhuliliuchuPercent = (100 - sanhuliuruPercent - sanhuliuchuPercent - zhuliliuruPercent).toFixed(2);
			
			sanhuliuru = (sanhuliuru / 100000000).toFixed(2);
			sanhuliuchu = (sanhuliuchu / 100000000).toFixed(2);
			zhuliliuru = (zhuliliuru / 100000000).toFixed(2);
			zhuliliuchu = (zhuliliuchu / 100000000).toFixed(2);
			
			zhuliliuru5 = data.data.foo.d5.big.in;
			zhuliliuchu5 = data.data.foo.d5.big.out;
			zhuliliuru10 = data.data.foo.d10.big.in;
			zhuliliuchu10 = data.data.foo.d10.big.out;
			
			zhuliliuru5Percent = ((zhuliliuru5 / (zhuliliuru5 + zhuliliuchu5)) * 100).toFixed(2);
			zhuliliuchu5Percent = ((zhuliliuchu5 / (zhuliliuru5 + zhuliliuchu5)) * 100).toFixed(2);
			
			zhuliliuru10Percent = ((zhuliliuru10 / (zhuliliuru10 + zhuliliuchu10)) * 100).toFixed(2);
			zhuliliuchu10Percent = ((zhuliliuchu10 / (zhuliliuru10 + zhuliliuchu10)) * 100).toFixed(2);
			
			$('#container2').highcharts({
				credits: {
					enabled: false,
				},
				chart: {
					backgroundColor: chartBg,
					type: 'pie',
					height: 400,
					width: 400
					
				},
				title: {
					text: '<p style="text-align:center; font-size:2em; font-weight:bold; color:' + jinriColor + ';">今日</p>',
					align: 'center',
					verticalAlign: 'middle',
					//y: 20,
					//x: -15
				},
				plotOptions: {
					series: {
						dataLabels: {
							enabled: true,
							format: '<font style="text-shadow:none; font-size:2em; color:{point.color};">{point.u}亿</font><br><font style="text-shadow:none; font-size:1.2em; color:#666666;">{point.name}</font>',
							rotation: 1,
							crop: false,
							shadow: false
						}
					},
					pie: {
						startAngle: 0,
						endAngle: 360,
					}
				},

				tooltip: {
					headerFormat: '<font style="font-size:11px">{series.name}</font><br>',
					pointFormat: '<font style="color:{point.color}">{point.name}</font>: <b>{point.y:.2f}%</b>占比<br/>'
				},
				series: [{
					name: '今日',
					innerSize: '70%',
					colors: [
                       '#f8922e', 
                       '#ec3805', 
                       '#12a20b', 
                       '#94c244'
                    ],
					colorByPoint: true,
					data: [{
						name: '散户流入',
						y: parseFloat(sanhuliuruPercent),
						u: sanhuliuru,
						drilldown: '散户流入'
					}, {
						name: '散户流出',
						y: parseFloat(sanhuliuchuPercent),
						u: sanhuliuchu,
						drilldown: '散户流出'
					}, {
						name: '主力流入',
						y: parseFloat(zhuliliuruPercent),
						u: zhuliliuru,
						drilldown: '主力流入'
					}, {
						name: '主力流出',
						y: parseFloat(zhuliliuchuPercent),
						u: zhuliliuchu,
						drilldown: '主力流出'
					}]
				}]
				
			});
			
			
			$('#liuru5_percent').text(zhuliliuru5Percent + '%');
			$('#liuchu5_percent').text(zhuliliuchu5Percent + '%');
			$('#liuru10_percent').text(zhuliliuru10Percent + '%');
			$('#liuchu10_percent').text(zhuliliuchu10Percent + '%');
			
			//创建横向柱形图
			$('#container3').highcharts({
				chart: {
					type: 'bar',
					 backgroundColor: chartBg
				},
				credits: {
					enabled: false,
				},
				title: {

					text: ''

				},
				plotOptions: {
					column: {
						pointPadding: 0,
						borderWidth: 0,
						groupPadding: 0
					}
				},
				xAxis: {
					lineWidth :0,
					tickWidth:0,
					labels:{
						enabled:true,
						style: {
                            //color: '#19a0f5',//颜色
                            fontSize:'1.5em'  //字体
                        }
					},
					categories: ['<font style="font-size:1em;">5日</font>', '<font style="font-size:1em;">10日</font>'],
					gridLineColor: '#197F07',//纵向网格线颜色
					gridLineWidth: 0//纵向网格线宽度
					
				},

				yAxis: {
					gridLineColor: '#197F07',//纵向网格线颜色
					gridLineWidth: 0, //纵向网格线宽度
					min: 0,
					labels: {
						enabled: false// 
					},
					title: {
						text: ''

					},
					stackLabels: {
					enabled: false,
					style: {
						fontWeight: 'bold',
						color: (Highcharts.theme && Highcharts.theme.textColor) || 'gray'
					}
				}

				},

				legend: {
					enabled: false,
					align: 'right',
					x: -100,
					verticalAlign: 'top',
					y: 20,
					floating: true,
					backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColorSolid) || 'white',
					borderColor: '#CCC',
					borderWidth: 1,
					shadow: false

				},

				tooltip: {

				  formatter: function() {
					return '<b>'+ this.x +'</b><br/>'+
						this.series.name +': '+ this.y +'<br/>'+
						'Total: '+ this.point.stackTotal;
				}

				},

				plotOptions: {
					series: {
						pointWidth: 50,
						pointPadding: 0, //数据点之间的距离值
						groupPadding: 0, //分组之间的距离值
						stacking: 'normal',
							dataLabels: {
							enabled: false,
							color: 'white'
						}
					},

				},

					series: [{

					name: '主力流入',
					color: '#ec3805',
					data: [parseFloat(zhuliliuru5Percent), parseFloat(zhuliliuru10Percent)],
					maxPointWidth: 50,
					maxPointPadding: 0

				}, {

					name: '主力流出',
					color: '#12a20b',
					data: [parseFloat(zhuliliuchu5Percent), parseFloat(zhuliliuchu10Percent)],
					maxPointWidth: 50,
					maxPointPadding: 0

				}]

			});	
			
		}else{
			//alert('资金流数据获取异常！');
		}
	});
}

//绘制涨跌停曲线图
function createZhangdieting(){
	var zhangtingNum = 0;
	var dietingNum = 0;
	var zhangtingArr = new Array();
	var dietingArr = new Array();
	$.getJSON('http://kanpanbao.com/kql?q={"mline_1":["market.topline"]}&callback=?',function(data){
		if(data.code == 0){
			//声明好二位数组
			for(var k=0; k<data.data.mline_1.list.length; k++){
				zhangtingArr[k]=new Array();
				for(var j=0;j<2;j++){
					zhangtingArr[k][j]="";
				}
			}
			for(var k=0; k<data.data.mline_1.list.length; k++){
				dietingArr[k]=new Array();
				for(var j=0;j<2;j++){
					dietingArr[k][j]="";
				}
			}
			
			for(var i=0; i<data.data.mline_1.list.length; i++){
				
				var yearStr = data.data.mline_1.list[i].date.toString().substring(0,4);
				var monthStr = data.data.mline_1.list[i].date.toString().substring(4,6);
				var dayStr = data.data.mline_1.list[i].date.toString().substring(6,8);
				var hourStr = data.data.mline_1.list[i].date.toString().substring(8,10);
				var minuteStr = data.data.mline_1.list[i].date.toString().substring(10,12);
				
				
				var tempTime = new Date();
				tempTime.setFullYear(yearStr);
				tempTime.setMonth(monthStr - 1);
				tempTime.setDate(dayStr);
				tempTime.setHours(hourStr);
				tempTime.setMinutes(minuteStr);
				tempTime.setSeconds(0);
		
				zhangtingArr[i][0] = Date.parse(tempTime);
				zhangtingArr[i][1] = data.data.mline_1.list[i].ceil;
				
				dietingArr[i][0] = Date.parse(tempTime);
				dietingArr[i][1] = data.data.mline_1.list[i].floor;
				
			}
			
			zhangtingNum =  data.data.mline_1.list[data.data.mline_1.list.length - 1].ceil;
			dietingNum = data.data.mline_1.list[data.data.mline_1.list.length - 1].floor;
			
			$('#zhangting_number').text(zhangtingNum);
			$('#dieting_number').text(dietingNum);
			
			//创建k线图
			$('#container4').highcharts('StockChart', {
			chart: {
				backgroundColor: chartBg
			},
			resetZoomButton: {
				theme: {
					display: 'none'
				}
			},
			scrollbar: {
				enabled: false
			},
			
			credits: {
				enabled: false
			},
			navigator: {
				enabled: false
			},
            rangeSelector: {
                enabled: false
            },

            yAxis: {
                opposite: false,
				labels: {
					formatter: function () {
                        return (this.value > 0 ? '' : '') + this.value + '';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: 'silver'
                }],
				gridLineColor: '#606060'
            },
			
			xAxis: {
				   
				   tickLength: 0,
                   type: "datetime",
				   tickInterval: 1000 * 60 * 30,	//
				   tickWidth: 1000 * 60 * 30, //刻度的宽度
                   labels: {
                       enable: false,
                       rotation: 0, //旋转,效果就是影响标签的显示方向
                       //step: 4,
                       formatter: function () {
								return Highcharts.dateFormat('%H:%M', this.value);
                           }
                       },
                   //刻度的宽度
                   lineColor: '#000000',
                   //自定义刻度颜色
                   lineWidth: 1,
                   //自定义x轴宽度
                   gridLineWidth: 0
               },

            plotOptions: {
                series: {
                    compare: 'value'
                },
				
            },

            tooltip: {
                pointFormat: '<span style="color:{series.color}">{series.name}</span>: <b>{point.y}</b> ({point.change}%)<br/>',
                valueDecimals: 2,
				enabled: true
            },
			
            series: [
				{
					name: '跌停家数',
					color: '#12a20b',	//绿色
					data: dietingArr,
					
				},{
					name: '涨停家数',
					color: '#ea2200',	//红色
					data: zhangtingArr,
					
				}
			]
        });
		}else{
			//alert('涨跌停数据获取异常！');
		}
	});
}